pcl::device::Eigen33 Struct Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/features/include/pcl/gpu/features/device/eigen.hpp>`

## Classes

struct | MiniMat

## Public Types

using | Mat33 = MiniMat< 3 >
using | Mat43 = MiniMat< 4 >
using | Mat33 = MiniMat< 3 >
using | Mat43 = MiniMat< 4 >

## Public Member Functions

__device__ __forceinline__ | Eigen33 (volatile float *mat_pkg_arg)
__device__ __forceinline__ void | compute (Mat33 &tmp, Mat33 &vec_tmp, Mat33 &evecs, float3 &evals)
__device__ __forceinline__ | Eigen33 (volatile float *mat_pkg_arg)
__device__ __forceinline__ void | compute (Mat33 &tmp, Mat33 &vec_tmp, Mat33 &evecs, float3 &evals)

## Static Public Member Functions

static __forceinline__ __device__ float3 | unitOrthogonal (const float3 &src)
static __forceinline__ __device__ float3 | unitOrthogonal (const float3 &src)

## Detailed Description

Definition at line 163 of file eigen.hpp.

## Member Typedef Documentation

## Mat33 [1/2]

using pcl::device::Eigen33::Mat33 = MiniMat<3>

Definition at line 173 of file eigen.hpp.

## Mat33 [2/2]

using pcl::device::Eigen33::Mat33 = MiniMat<3>

Definition at line 182 of file utils.hpp.

## Mat43 [1/2]

using pcl::device::Eigen33::Mat43 = MiniMat<4>

Definition at line 174 of file eigen.hpp.

## Mat43 [2/2]

using pcl::device::Eigen33::Mat43 = MiniMat<4>

Definition at line 183 of file utils.hpp.

## Constructor & Destructor Documentation

## Eigen33() [1/2]

__device__ __forceinline__ pcl::device::Eigen33::Eigen33 | ( | volatile float * | mat_pkg_arg | ) |

inline

Definition at line 209 of file eigen.hpp.

## Eigen33() [2/2]

__device__ __forceinline__ pcl::device::Eigen33::Eigen33 | ( | volatile float * | mat_pkg_arg | ) |

inline

Definition at line 220 of file utils.hpp.

## Member Function Documentation

## compute() [1/2]

__device__ __forceinline__ void pcl::device::Eigen33::compute | ( | Mat33 & | tmp,
|  | Mat33 & | vec_tmp,
|  | Mat33 & | evecs,
|  | float3 & | evals
| ) |  |

inline

Definition at line 210 of file eigen.hpp.

References pcl::device::computeRoots3(), pcl::device::cross(), pcl::device::dot(), pcl::device::normalized(), and unitOrthogonal().

## compute() [2/2]

__device__ __forceinline__ void pcl::device::Eigen33::compute | ( | Mat33 & | tmp,
|  | Mat33 & | vec_tmp,
|  | Mat33 & | evecs,
|  | float3 & | evals
| ) |  |

inline

Definition at line 222 of file utils.hpp.

References pcl::device::computeRoots3(), pcl::device::cross(), pcl::device::dot(), pcl::device::normalized(), and unitOrthogonal().

## unitOrthogonal() [1/2]

static __forceinline__ __device__ float3 pcl::device::Eigen33::unitOrthogonal | ( | const float3 & | src | ) |

inline static

Definition at line 177 of file eigen.hpp.

Referenced by compute().

## unitOrthogonal() [2/2]

static __forceinline__ __device__ float3 pcl::device::Eigen33::unitOrthogonal | ( | const float3 & | src | ) |

inline static

Definition at line 187 of file utils.hpp.

The documentation for this struct was generated from the following files:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/features/include/pcl/gpu/features/device/eigen.hpp
- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu/src/cuda/utils.hpp